> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/elementy-aplikacji-artefakty/konwencje-nazewnicze-elementow-aplikacji.md).

# Naming conventions for application elements

In projects implemented in Eximee Designer, using consistent naming conventions for application elements is crucial for maintaining order, clarity, and effective team collaboration.

Well-chosen names make it easier to:

* quick searching and filtering of components in the repository,
* recognizing the function and purpose of a given element without having to open it,
* avoiding name conflicts and accidental overwriting of artifacts,
* managing large sets of forms, processes, scripts, etc., especially in environments with multiple applications and teams.

The table below presents the recommended naming conventions for all main types of application elements in Eximee. They follow best practices used in production projects and help maintain order in scalable solutions.

{% hint style="info" %}
Names should normally be created in English. The exception is when the form name has been predefined in Polish.
{% endhint %}

#### Table of naming conventions for Eximee application elements

<table><thead><tr><th width="138.272705078125">Element type</th><th width="195.818115234375">Name format</th><th>Example</th></tr></thead><tbody><tr><td><strong>Application</strong></td><td><mark style="background-color:orange;">prefix</mark>_app</td><td><code>kontoJunior_app</code>, <code>800plus_app</code></td></tr><tr><td><strong>Form</strong></td><td><mark style="background-color:orange;">prefixName</mark></td><td><code>kontoJuniorStart</code>, <code>kontoJuniorForm</code>, <code>kontoJuniorAcceptance</code></td></tr><tr><td><strong>Other elements (e.g. scripts)</strong></td><td><mark style="background-color:orange;">prefixName</mark></td><td><code>kontoJuniorCheckAmount</code></td></tr><tr><td><strong>Processes</strong></td><td><mark style="background-color:orange;">prefixNameProcess</mark></td><td><code>kontoJuniorProcess</code>, <code>kontoJuniorSendNotificationProcess</code></td></tr></tbody></table>

General rules

* <mark style="background-color:orange;">prefix</mark> - the business name of the given project, placed at the beginning of each application element\
  in camelCase format
* <mark style="background-color:purple;">Name</mark> - the name of the given element in camelCase format

{% hint style="warning" %}
For forms and applications, it should be taken into account that the form/application name later appears, among other places, in the URL.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/elementy-aplikacji-artefakty/konwencje-nazewnicze-elementow-aplikacji.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
